Get entity details
Use this endpoint to retrieve an entity and its full details.
Path Parameters
- Type: stringidrequired
The ID of the entity.
Headers
- Type: stringAcceptrequired
Used to describe the type of content the client can interpret. Use the schema_version value to specify the payload format. The latest version is 3.0.
Responses
- application/json
- 401
Unauthorized
- 404
Entity not found
- application/json
Request Example for get/accounts/entities/{id}
curl 'https://{prefix}.api.sandbox.checkout.com/accounts/entities/ent_w4jelhppmfiufdnatam37wrfc4' \
--header 'Accept: application/json;schema_version=3.0' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"reference": "string",
"status": "string",
"profile": {
"urls": [
"https://example.com"
],
"mccs": [
"string"
],
"default_holding_currency": 1,
"holding_currencies": [
"GBP"
]
},
"contact_details": {
"phone": {
"country_code": "GI",
"number": "string"
},
"email_addresses": {
"primary": 1
},
"invitee": {
"email": 1
}
},
"capabilities": {},
"requirements_due": [
{
"field": "string",
"reason": "string",
"message": "string"
}
],
"company": {
"legal_name": "string",
"trading_name": "string",
"business_registration_number": "string",
"date_of_incorporation": {
"day": 1,
"month": 1,
"year": 1500
},
"principal_address": {
"address_line1": "string",
"address_line2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
},
"registered_address": {
"address_line1": "string",
"address_line2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
},
"representatives": [
{
"id": "string",
"individual": {
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": {
"day": 1,
"month": 1,
"year": 1900
},
"place_of_birth": {
"country": "string"
},
"national_id_number": "string",
"email_address": 1,
"phone": {
"country_code": "AF",
"number": "string"
},
"address": {
"address_line1": "string",
"address_line2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}
},
"company_position": "ceo",
"roles": [
"ubo"
],
"ownership_percentage": 25,
"documents": {
"identity_verification": {
"type": "passport",
"front": "string",
"back": "string"
},
"certified_authorised_signatory": {
"type": "power_of_attorney",
"front": "string"
}
}
}
],
"business_type": "individual_or_sole_proprietorship"
},
"processing_details": {
"settlement_country": "string",
"target_countries": [
"string"
],
"annual_processing_volume": 0,
"average_transaction_value": 0,
"highest_transaction_value": 0,
"currency": "GBP"
},
"documents": {
"company_verification": {
"type": "incorporation_document",
"front": "string"
},
"articles_of_association": {
"type": "memorandum_of_association",
"front": "string"
},
"bank_verification": {
"type": "bank_statement",
"front": "string"
},
"shareholder_structure": {
"type": "certified_shareholder_structure",
"front": "string"
},
"proof_of_legality": {
"type": "proof_of_legality",
"front": "string"
},
"proof_of_principal_address": {
"type": "proof_of_address",
"front": "string"
},
"additional_document1": {
"front": "string"
},
"additional_document2": {
"front": "string"
},
"additional_document3": {
"front": "string"
}
}
}